| GET | /RestApi/translations/projects |
|---|
namespace Telerik.Sitefinity.Translations.Model
open System
open System.IO
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations
type ProjectStatus =
| NotStarted = 0
| Started = 1
| Completed = 2
[<AllowNullLiteral>]
type GetProjects() =
member val Skip:Nullable<Int32> = new Nullable<Int32>() with get,set
member val Take:Nullable<Int32> = new Nullable<Int32>() with get,set
member val OrderExpression:String = null with get,set
member val SearchText:String = null with get,set
member val Service:String[] = null with get,set
member val ProjectStatus:Nullable<ProjectStatus> = new Nullable<ProjectStatus>() with get,set
member val ActualSourceLanguage:String = null with get,set
member val WithoutSourceLanguage:Boolean = new Boolean() with get,set
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"Title":"String","Description":"String","StartDate":"\/Date(-62135596800000-0000)\/","DueDate":"\/Date(-62135596800000-0000)\/","DateSent":"\/Date(-62135596800000-0000)\/","DateCompleted":"\/Date(-62135596800000-0000)\/","SentBy":"String","Connector":{"Name":"String","Title":"String","Count":0,"Xliff":{"IsXliff":false,"IsFtp":false,"IsMachineTranslation":false}},"Status":"String","PoReference":"String","ActualSourceLanguage":{"Code":"String","Name":"String","Count":0},"TargetLanguages":[{"Code":"String","Name":"String","Count":0}],"TranslationsCount":0,"CanBeCompleted":false,"ExternalId":"String"}]